# pydicom.values.convert_UI

`pydicom.values.``convert_UI`(byte_string, is_little_endian, struct_format=None)

  Return a decoded ‘UI’ value.

  Elements with VR of ‘UI’ may have a non-significant trailing null `0x00`.

  Parameters:

  - byte_string (bytes or str) – The encoded ‘UI’ element value.
  - is_little_endian (bool) – `True` if the value is encoded as little endian, `False` otherwise.
  - struct_format (str, optional) – Not used.

  Returns: | The decoded ‘UI’ element value without a trailing null.
  Return type: | uid.UID or list of uid.UID